{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% extends "bootstrap_3_horizontal_layout.html.twig" %}

{% block form_row -%}
    {% set group_attr = group_attr|merge({class: (group_attr.class|default('') ~ ' ' ~ block('form_group_container_class'))|trim}) %}
    <div{% for attrname, attrvalue in group_attr %} {{ attrname }}="{{ attrvalue }}"{% endfor %}>
        {{- form_label(form) -}}
        <div class="{{ block('form_group_class') }}">
            {{- form_widget(form) -}}
            {{- form_errors(form) -}}
            {% if help is defined %}<p class="help-block">{{ help|trans|raw }}</p>{% endif %}
        </div>
    </div>
{%- endblock form_row %}

{% block form_group_container_class -%}
    form-group{% if (not compound or force_error|default(false)) and not valid %} has-error{% endif %}{{ form.vars.required ? ' required': '' }}
{%- endblock form_group_container_class %}

{%- block form -%}
    {{ form_start(form) }}
    {% if form._token is defined %}
        {{ form_widget(form._token) }}
    {% endif %}
    <div class="box-body">
        {{- form_errors(form) -}}
        {#{{- form_widget(form) -}}#}
        {{- block('form_rows') -}}
        {{- form_rest(form) -}}
    </div>
    <div class="box-footer">
        <div class="row">
            <div class="col-sm-offset-2 {{ block('form_group_class') }}">
                <input type="submit" class="btn btn-primary" value="{{ submit is defined ? submit : 'Enregistrer' }}">
            </div>
        </div>
    </div>
    {{ form_end(form) }}
{%- endblock form -%}
